﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Reports;

namespace SimpleReport
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            ReportWindow RW = new ReportWindow();
            string reportPath = System.IO.Path.Combine(new DirectoryInfo("reports").FullName, "takrir-tarbawi16.rdl");
            RW.ReportViewerControl.ReportPath = reportPath;
            List<ReportParameter> parameters = new List<ReportParameter>();
            ReportParameter parameter = new ReportParameter();
            parameter.Name = "RP01";
            parameter.Labels = new List<string> { "ds" };
            parameter.Values = new List<string> { "5465464" };
            parameters.Add(parameter);
            RW.ReportViewerControl.SetParameters(parameters);
            RW.ReportViewerControl.RefreshReport();
            RW.Show();
        }
    }
}
